Page MenuHomePhabricator

[Bug] Fix order of additional languages
Closed, ResolvedPublic

Description

Currently the order of additional languages is quite random. It should be ordered by either language code or language name in the user's language.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Bene created this task.Feb 2 2016, 3:18 PM
Bene raised the priority of this task from to Medium.
Bene updated the task description. (Show Details)
Bene added a subscriber: Lydia_Pintscher.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 2 2016, 3:18 PM
Bene claimed this task.Feb 2 2016, 3:21 PM
Bene moved this task from Proposed to Doing on the Wikidata-Sprint-2016-02-02 board.

Change 267896 had a related patch set uploaded (by Bene):
Sort additional languages by language code

https://gerrit.wikimedia.org/r/267896

Bene moved this task from Doing to Review on the Wikidata-Sprint-2016-02-02 board.Feb 2 2016, 3:51 PM

Does it make sense to order by language code?

Bene added a comment.EditedFeb 2 2016, 4:24 PM

.@Lydia_Pintscher would prefer to order by language name but language code is also ok. I decided to order by language code first because that's simple and doesn't cost much performance. However, we may think about ordering by the languages' names as well.

Change 267896 merged by jenkins-bot:
Sort additional languages by language code

https://gerrit.wikimedia.org/r/267896

Bene closed this task as Resolved.Feb 2 2016, 6:32 PM
Bene moved this task from Review to Done on the Wikidata-Sprint-2016-02-02 board.
Lydia_Pintscher moved this task from incoming to in progress on the Wikidata board.Feb 3 2016, 1:28 PM

Change 268359 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Only sort "more" languages when actually needed

https://gerrit.wikimedia.org/r/268359

Change 268359 merged by jenkins-bot:
Only sort "more" languages when actually needed

https://gerrit.wikimedia.org/r/268359